function submitForm() {
	if (!(validateField('SB_Validator.notEmpty', 'firstName',	'FIELD-EMPTY')
		&& validateField('SB_Validator.notEmpty', 'lastName',	'FIELD-EMPTY')
		&& validateField('SB_Validator.notEmpty', 'email',		'FIELD-EMPTY')
		&& validateField('SB_Validator.isEmail',  'email',		'EMAIL-NOT-VALID')
		&& validateField('SB_Validator.notEmpty', 'company',	'FIELD-EMPTY')
		&& validateField('SB_Validator.notEmpty', 'phoneNumber','FIELD-EMPTY')
		&& validateField('SB_Validator.notEmpty', 'faxNumber',	'FIELD-EMPTY')
		&& validateField('SB_Validator.notEmpty', 'address1',	'FIELD-EMPTY')
		&& validateField('SB_Validator.notEmpty', 'address2',	'FIELD-EMPTY')
		&& validateField('SB_Validator.notEmpty', 'city',		'FIELD-EMPTY')
		&& validateField('SB_Validator.notEmpty', 'state',		'FIELD-EMPTY')
		&& validateField('SB_Validator.notEmpty', 'zipCode',	'FIELD-EMPTY')
	)) {
		return false;
	}
	
	document.forms['bluePayRegForm'].submit();
	return true;
}